# valuenode_composite.cpp File Reference

Implementation of the "Composite" valuenode conversion. More...

`#include "valuenode_composite.h"`
`#include "valuenode_const.h"`
`#include <stdexcept>`
`#include "general.h"`
`#include "valuenode_radialcomposite.h"`
`#include "vector.h"`
`#include "color.h"`
`#include "segment.h"`
`#include "savecanvas.h"`

## Detailed Description

Implementation of the "Composite" valuenode conversion.

$Id$